<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="payNowTxt"
            type="androidx.lifecycle.LiveData&lt;String>" />

        <variable
            name="onCloseClickListener"
            type="android.view.View.OnClickListener" />

        <variable
            name="onPayClickListener"
            type="android.view.View.OnClickListener" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:id="@+id/bg_payment_way_content"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@drawable/bg_choice_payment_pay"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Space
            android:id="@+id/space1"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:20"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/title_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/app_common_page_horizontal_padding"
            android:text="@string/pay_way"
            android:textColor="#202020"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/space1" />

        <Space
            android:id="@+id/space2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:14"
            app:layout_constraintTop_toBottomOf="@+id/title_text" />

        <LinearLayout
            android:id="@+id/ll_pay"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintTop_toBottomOf="@+id/space2" />

        <Space
            android:id="@+id/space3"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:23"
            app:layout_constraintTop_toBottomOf="@+id/ll_pay" />


        <TextView
            android:id="@+id/member_payment_btn"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="@dimen/app_common_page_horizontal_padding"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="25dp"
            android:background="@drawable/bg_member_buy_btn"
            android:gravity="center"
            android:onClickListener="@{onPayClickListener}"
            android:text="@{payNowTxt}"
            android:textColor="#6A3420"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintDimensionRatio="328:48"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/space3" />

        <Space
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:16"
            app:layout_constraintTop_toBottomOf="@+id/member_payment_btn" />

        <ImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/app_common_page_horizontal_padding"
            android:layout_marginEnd="@dimen/app_common_page_horizontal_padding"
            android:onClickListener="@{onCloseClickListener}"
            android:src="@drawable/icon_member_close"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintWidth_percent="0.0666666666666667" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>